Subject: Re: [PATCH net-next 0/5] net/sched: netem: cleanups and improvements

From: Simon Horman <[email-masked]>
Date: Wed, 8 Apr 2026 18:10:42 +0100

On Fri, Apr 03, 2026 at 03:52:05PM -0700, Stephen Hemminger wrote:
> This series modernizes the netem qdisc with several cleanups and
> two functional improvements. It is independent of the bug fixes
> that are in process on the net branch.
> 
> The first three patches are housekeeping: replacing pr_info() calls
> with proper netlink extack error reporting, removing unused struct
> members that only existed to declare enum constants, and dropping
> a version string that was never updated.
> 
> The fourth patch adds per-impairment extended statistics
> (delayed, dropped, corrupted, duplicated, reordered, ecn_marked)
> reported via TCA_STATS_APP, following the pattern established by
> RED and FQ_CODEL. A companion iproute2 patch for display will
> follow separately.
> 
> The fifth patch improves the corruption path to handle
> multi-segment skbs using skb_header_pointer()/skb_store_bits(),
> replacing the previous code that only flipped bits in the linear
> header region.

For the series:

Reviewed-by: Simon Horman <[email-masked]>